net.minecraft.block

## Class BlockRedstoneComparator

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockDirectional
    - - net.minecraft.block.BlockRedstoneDiode
      - - net.minecraft.block.BlockRedstoneComparator

- All Implemented Interfaces:
    ITileEntityProvider

      public class BlockRedstoneComparator
      extends BlockRedstoneDiode
      implements ITileEntityProvider

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.block.BlockRedstoneDiode

      `isRepeaterPowered`

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockRedstoneComparator(boolean p_i45399_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `breakBlock(World p_149749_1_, int p_149749_2_, int p_149749_3_, int p_149749_4_, Block p_149749_5_, int p_149749_6_)`
    `TileEntity` | `createNewTileEntity(World p_149915_1_, int p_149915_2_)`
    `protected void` | `func_149897_b(World p_149897_1_, int p_149897_2_, int p_149897_3_, int p_149897_4_, Block p_149897_5_)`
    `protected int` | `func_149901_b(int p_149901_1_)`
    `protected int` | `func_149904_f(IBlockAccess p_149904_1_, int p_149904_2_, int p_149904_3_, int p_149904_4_, int p_149904_5_)`
    `protected boolean` | `func_149905_c(int p_149905_1_)`
    `boolean` | `func_149969_d(int p_149969_1_)`
    `protected BlockRedstoneDiode` | `getBlockPowered()`
    `protected BlockRedstoneDiode` | `getBlockUnpowered()`
    `IIcon` | `getIcon(int p_149691_1_, int p_149691_2_)`
    `protected int` | `getInputStrength(World p_149903_1_, int p_149903_2_, int p_149903_3_, int p_149903_4_, int p_149903_5_)`
    `Item` | `getItem(World p_149694_1_, int p_149694_2_, int p_149694_3_, int p_149694_4_)`
    `Item` | `getItemDropped(int p_149650_1_, java.util.Random p_149650_2_, int p_149650_3_)`
    `int` | `getRenderType()`
    `TileEntityComparator` | `getTileEntityComparator(IBlockAccess p_149971_1_, int p_149971_2_, int p_149971_3_, int p_149971_4_)`
    `boolean` | `getWeakChanges(IBlockAccess world, int x, int y, int z)` If this block should be notified of weak changes.
    `protected boolean` | `isGettingInput(World p_149900_1_, int p_149900_2_, int p_149900_3_, int p_149900_4_, int p_149900_5_)`
    `boolean` | `onBlockActivated(World p_149727_1_, int p_149727_2_, int p_149727_3_, int p_149727_4_, EntityPlayer p_149727_5_, int p_149727_6_, float p_149727_7_, float p_149727_8_, float p_149727_9_)`
    `void` | `onBlockAdded(World p_149726_1_, int p_149726_2_, int p_149726_3_, int p_149726_4_)`
    `boolean` | `onBlockEventReceived(World p_149696_1_, int p_149696_2_, int p_149696_3_, int p_149696_4_, int p_149696_5_, int p_149696_6_)`
    `void` | `onNeighborChange(IBlockAccess world, int x, int y, int z, int tileX, int tileY, int tileZ)` Called when a tile entity on a side of this block changes is created or is destroyed.
    `void` | `updateTick(World p_149674_1_, int p_149674_2_, int p_149674_3_, int p_149674_4_, java.util.Random p_149674_5_)`

    - ### Methods inherited from class net.minecraft.block.BlockRedstoneDiode

      `canBlockStay, canPlaceBlockAt, canProvidePower, func_149899_k, func_149902_h, func_149907_e, func_149908_a, func_149910_g, func_149911_e, func_149912_i, func_149913_i, isAssociatedBlock, isOpaqueCube, isProvidingStrongPower, isProvidingWeakPower, isRedstoneRepeaterBlockID, onBlockDestroyedByPlayer, onBlockPlacedBy, onNeighborBlockChange, renderAsNormalBlock, shouldSideBeRendered`

    - ### Methods inherited from class net.minecraft.block.BlockDirectional

      `getDirection`

    - ### Methods inherited from class net.minecraft.block.Block

      `addCollisionBoxesToList, addDestroyEffects, addHitEffects, beginLeavesDecay, canBeReplacedByLeaves, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canPlaceBlockOnSide, canPlaceTorchOnTop, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, collisionRayTrace, colorMultiplier, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropBlockAsItemWithChance, dropXpOnBlockBreak, fillWithRain, func_149698_L, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockColor, getBlockFromItem, getBlockFromName, getBlockHardness, getBlocksMovement, getBlockTextureFromSide, getCanBlockGrass, getCollisionBoundingBoxFromPool, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getDrops, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIdFromBlock, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMapColor, getMaterial, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, harvestBlock, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isCollidable, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLadder, isLeaves, isNormalCube, isNormalCube, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockClicked, onBlockDestroyedByExplosion, onBlockExploded, onBlockHarvested, onBlockPlaced, onBlockPreDestroy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, recolourBlock, registerBlockIcons, registerBlocks, removedByPlayer, rotateBlock, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, tickRate, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockRedstoneComparator

          public BlockRedstoneComparator(boolean p_i45399_1_)

  - ### Method Detail

    - #### getItemDropped

          public Item getItemDropped(int p_149650_1_,
                            java.util.Random p_149650_2_,
                            int p_149650_3_)

      Overrides:
        `getItemDropped` in class `Block`

    - #### getItem

          public Item getItem(World p_149694_1_,
                     int p_149694_2_,
                     int p_149694_3_,
                     int p_149694_4_)

      Overrides:
        `getItem` in class `Block`

    - #### func_149901_b

          protected int func_149901_b(int p_149901_1_)

      Specified by:
        `func_149901_b` in class `BlockRedstoneDiode`

    - #### getBlockPowered

          protected BlockRedstoneDiode getBlockPowered()

      Specified by:
        `getBlockPowered` in class `BlockRedstoneDiode`

    - #### getBlockUnpowered

          protected BlockRedstoneDiode getBlockUnpowered()

      Specified by:
        `getBlockUnpowered` in class `BlockRedstoneDiode`

    - #### getRenderType

          public int getRenderType()

      Overrides:
        `getRenderType` in class `BlockRedstoneDiode`

    - #### getIcon

          public IIcon getIcon(int p_149691_1_,
                      int p_149691_2_)

      Overrides:
        `getIcon` in class `BlockRedstoneDiode`

    - #### func_149905_c

          protected boolean func_149905_c(int p_149905_1_)

      Overrides:
        `func_149905_c` in class `BlockRedstoneDiode`

    - #### func_149904_f

          protected int func_149904_f(IBlockAccess p_149904_1_,
                          int p_149904_2_,
                          int p_149904_3_,
                          int p_149904_4_,
                          int p_149904_5_)

      Overrides:
        `func_149904_f` in class `BlockRedstoneDiode`

    - #### func_149969_d

          public boolean func_149969_d(int p_149969_1_)

    - #### isGettingInput

          protected boolean isGettingInput(World p_149900_1_,
                               int p_149900_2_,
                               int p_149900_3_,
                               int p_149900_4_,
                               int p_149900_5_)

      Overrides:
        `isGettingInput` in class `BlockRedstoneDiode`

    - #### getInputStrength

          protected int getInputStrength(World p_149903_1_,
                             int p_149903_2_,
                             int p_149903_3_,
                             int p_149903_4_,
                             int p_149903_5_)

      Overrides:
        `getInputStrength` in class `BlockRedstoneDiode`

    - #### getTileEntityComparator

          public TileEntityComparator getTileEntityComparator(IBlockAccess p_149971_1_,
                                                     int p_149971_2_,
                                                     int p_149971_3_,
                                                     int p_149971_4_)

    - #### onBlockActivated

          public boolean onBlockActivated(World p_149727_1_,
                                 int p_149727_2_,
                                 int p_149727_3_,
                                 int p_149727_4_,
                                 EntityPlayer p_149727_5_,
                                 int p_149727_6_,
                                 float p_149727_7_,
                                 float p_149727_8_,
                                 float p_149727_9_)

      Overrides:
        `onBlockActivated` in class `Block`

    - #### func_149897_b

          protected void func_149897_b(World p_149897_1_,
                           int p_149897_2_,
                           int p_149897_3_,
                           int p_149897_4_,
                           Block p_149897_5_)

      Overrides:
        `func_149897_b` in class `BlockRedstoneDiode`

    - #### updateTick

          public void updateTick(World p_149674_1_,
                        int p_149674_2_,
                        int p_149674_3_,
                        int p_149674_4_,
                        java.util.Random p_149674_5_)

      Overrides:
        `updateTick` in class `BlockRedstoneDiode`

    - #### onBlockAdded

          public void onBlockAdded(World p_149726_1_,
                          int p_149726_2_,
                          int p_149726_3_,
                          int p_149726_4_)

      Overrides:
        `onBlockAdded` in class `BlockRedstoneDiode`

    - #### breakBlock

          public void breakBlock(World p_149749_1_,
                        int p_149749_2_,
                        int p_149749_3_,
                        int p_149749_4_,
                        Block p_149749_5_,
                        int p_149749_6_)

      Overrides:
        `breakBlock` in class `Block`

    - #### onBlockEventReceived

          public boolean onBlockEventReceived(World p_149696_1_,
                                     int p_149696_2_,
                                     int p_149696_3_,
                                     int p_149696_4_,
                                     int p_149696_5_,
                                     int p_149696_6_)

      Overrides:
        `onBlockEventReceived` in class `Block`

    - #### createNewTileEntity

          public TileEntity createNewTileEntity(World p_149915_1_,
                                       int p_149915_2_)

      Specified by:
        `createNewTileEntity` in interface `ITileEntityProvider`

    - #### onNeighborChange

          public void onNeighborChange(IBlockAccess world,
                              int x,
                              int y,
                              int z,
                              int tileX,
                              int tileY,
                              int tileZ)

      Description copied from class: `Block`
      Called when a tile entity on a side of this block changes is created or is destroyed.
      Overrides:
        `onNeighborChange` in class `Block`
      Parameters:
        `world` - The world
        `x` - The x position of this block instance
        `y` - The y position of this block instance
        `z` - The z position of this block instance
        `tileX` - The x position of the tile that changed
        `tileY` - The y position of the tile that changed
        `tileZ` - The z position of the tile that changed

    - #### getWeakChanges

          public boolean getWeakChanges(IBlockAccess world,
                               int x,
                               int y,
                               int z)

      Description copied from class: `Block`
      If this block should be notified of weak changes. Weak changes are changes 1 block away through a solid block. Similar to comparators.
      Overrides:
        `getWeakChanges` in class `Block`
      Parameters:
        `world` - The current world
        `x` - X Position
        `y` - Y position
        `z` - Z position
      Returns:
        true To be notified of changes